## noris-remotescan 0.0.22

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	iconv -f utf8 -t latin1 usr/bin/remote_scan | pod2man -c remote_scan -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man1/remote_scan.1.gz

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-remotescan (0.0.22) jessie; urgency=medium

  * +noris-rdpscan (21726066)

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 02 Dec 2015 10:58:19 +0100

noris-remotescan (0.0.21) squeeze; urgency=low

  * #14258161: -Pn -> -PN

 -- Moritz Lenz <mlenz@noris.net>  Wed, 10 Apr 2013 09:44:48 +0200

noris-remotescan (0.0.20) squeeze; urgency=low

  * #14248564: skip host discovery

 -- Moritz Lenz <mlenz@noris.net>  Tue, 09 Apr 2013 09:19:50 +0200

noris-remotescan (0.0.19) squeeze; urgency=low

  * bessere Fehlermeldung, wenn $parser->host($ip) fehlschlaegt

 -- Moritz Lenz <mlenz@noris.net>  Mon, 08 Apr 2013 09:30:59 +0200

noris-remotescan (0.0.18) wheezy; urgency=low

  * #13935144: benutze Nmap::Parser und Parallel::ForkManager

 -- Moritz Lenz <mlenz@noris.net>  Fri, 05 Apr 2013 16:53:30 +0200

noris-remotescan (0.0.17) squeeze; urgency=low

  * Vermeide Fehler beim loggen

 -- Moritz Lenz <mlenz@noris.net>  Mon, 18 Mar 2013 09:56:47 +0100

noris-remotescan (0.0.16-1) wheezy; urgency=low

  * fix syntax error in debian/control

 -- Moritz Lenz <mlenz@noris.net>  Thu, 14 Feb 2013 11:19:58 +0100

noris-remotescan (0.0.16) wheezy; urgency=low

  * #11504955: Logging fuer Statistische Auswertungen

 -- Moritz Lenz <mlenz@noris.net>  Thu, 14 Feb 2013 11:03:57 +0100

noris-remotescan (0.0.15) wheezy; urgency=low

  * #13846057: Parallelisiere Scan pro Kunde

 -- Moritz Lenz <mlenz@noris.net>  Tue, 12 Feb 2013 15:13:21 +0100

noris-remotescan (0.0.14-1) wheezy; urgency=low

  * Architecture: all

 -- Moritz Lenz <mlenz@noris.net>  Thu, 07 Feb 2013 11:58:22 +0100

noris-remotescan (0.0.14) wheezy; urgency=low

  * #13832878: Dokumentation fuer --address-from

 -- Moritz Lenz <mlenz@noris.net>  Thu, 07 Feb 2013 11:33:24 +0100

noris-remotescan (0.0.13) wheezy; urgency=low

  * #13832878: Absenderadresse konfigurierbar machen

 -- Moritz Lenz <mlenz@noris.net>  Thu, 07 Feb 2013 11:27:57 +0100

noris-remotescan (0.0.12) wheezy; urgency=low

  * Non-maintainer upload.
  * #13616957: Füge Hostname in die E-Mail ein
  * Encoding-Fix

 -- Moritz Lenz <mlenz@noris.net>  Wed, 16 Jan 2013 17:43:35 +0100

noris-remotescan (0.0.11) squeeze; urgency=low

  * remote-scan: Bei suche nach offenen Ports alarmieren, wenn geschlossen

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 11 Jan 2013 11:36:16 +0100

noris-remotescan (0.0.10) lenny; urgency=low

  * #11382704: remote-scan: Falsches State Mapping

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 25 Aug 2011 12:40:35 +0200

noris-remotescan (0.0.9) lenny; urgency=low

  * #11382704: remote-scan: Falsches State Mapping

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 23 Aug 2011 10:48:44 +0200

noris-remotescan (0.0.8) lenny; urgency=low

  * #11061700: Remote Scan übernimmt Regeln nicht

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 20 May 2011 10:47:25 +0200

noris-remotescan (0.0.7) lenny; urgency=low

  * #10478527: Remote-Scan feature-request: DenyAll für Netze

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 11 Apr 2011 17:59:36 +0200

noris-remotescan (0.0.6) lenny; urgency=low

  * #10552940: Undefined PortState 'open|filtered'

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 03 Jan 2011 14:03:19 +0100

noris-remotescan (0.0.5) lenny; urgency=low

  * remote_scan Dependency on libnoris-nmap-scanner-perl.
  * defunct Proccess Problem

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 16 Dec 2010 14:36:27 +0100

noris-remotescan (0.0.4) lenny; urgency=low

  * Hoststatus im Debug Output angeben

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 19 Nov 2010 12:02:02 +0100

noris-remotescan (0.0.3) lenny; urgency=low

  * Perldoc angepasst

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 10 Nov 2010 17:32:59 +0100

noris-remotescan (0.0.2) lenny; urgency=low

  * Initial Release.

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 05 Nov 2010 15:55:18 +0100

noris-remotescan (0.0.1) lenny; urgency=low

  * Initial Release.

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 04 Nov 2010 17:24:53 +0100

=== debian/control ===
Source: noris-remotescan
Section: noris-intern
Priority: extra
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://www.noris.net

Package: noris-remotescan
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libclass-generate-perl,
         libnmap-parser-perl,
         libdata-dump-perl,
         libjson-xs-perl,
         libmime-lite-perl,
         libnet-ip-perl,
         libnoris-io-autoencoding-perl,
         libparallel-forkmanager-perl,
         libtemplate-perl,
         libxml-simple-perl,
         nmap,
         perl (>= 5.8),
         perl-doc
Description: Remote Scanning and Alerting Tool
 This tools Scan Hosts for open and closed Ports

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-remotescan.sgml > noris-remotescan.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-remotescan.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-remotescan install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
